| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Public Attributes | List of all members
IG.Lib.Alignment Struct Reference

Defines alignment (vertical and horizontal) of some object. More...

## Public Member Functions
| Alignment (AlignmentHorizontal horizontal, AlignmentVertical vertical)
| Construct the alignment structure with the specified horizontal and vertical alignment. More...
| Alignment (AlignmentHorizontal horizontal)
| Constructs the alignment structure with specified horizontal alignement and with vertical alignment set to Alignment.DefaultVerticalAlignment. More...
| Alignment (AlignmentVertical vertical)
| Constructs the alignment structure with specified vertical alignement and with horizontal alignment set to Alignment.DefaultHorizontalAlignment. More...

## Public Attributes
AlignmentHorizontal | Horizontal
| Horizontal alignment. More...
AlignmentVertical | Vertical
| Vertical Alignment. More...
const AlignmentHorizontal | DefaultHorizontalAlignment = AlignmentHorizontal.None
| Default horizontal alignment. More...
const AlignmentVertical | DefaultVerticalAlignment = AlignmentVertical.None
| Default vertical alignment. More...

## Detailed Description

Defines alignment (vertical and horizontal) of some object.

$A Igor xx;

## Constructor & Destructor Documentation

IG.Lib.Alignment.Alignment | ( | AlignmentHorizontal | horizontal,
|  | AlignmentVertical | vertical
| ) |  |
| inline

Construct the alignment structure with the specified horizontal and vertical alignment.

Parameters

  horizontal | Horizontal alignment.
  vertical | Vertical alignment.

IG.Lib.Alignment.Alignment | ( | AlignmentHorizontal | horizontal | ) |
| inline

Constructs the alignment structure with specified horizontal alignement and with vertical alignment set to Alignment.DefaultVerticalAlignment.

Parameters

  horizontal | Horizontal alignment.

IG.Lib.Alignment.Alignment | ( | AlignmentVertical | vertical | ) |
| inline

Constructs the alignment structure with specified vertical alignement and with horizontal alignment set to Alignment.DefaultHorizontalAlignment.

Parameters

  horizontal | Horizontal alignment.

## Member Data Documentation

AlignmentHorizontal IG.Lib.Alignment.Horizontal

Horizontal alignment.

Default is Alignment.DefaultHorizontalAlignment.

AlignmentVertical IG.Lib.Alignment.Vertical

Vertical Alignment.

Default is Alignment.DefaultVerticalAlignment.

const AlignmentHorizontal IG.Lib.Alignment.DefaultHorizontalAlignment = AlignmentHorizontal.None

Default horizontal alignment.

const AlignmentVertical IG.Lib.Alignment.DefaultVerticalAlignment = AlignmentVertical.None

Default vertical alignment.

The documentation for this struct was generated from the following file:

- igbase/graphics/Alignment.cs